data:extend(
{
  {
    type = "recipe",
    name = "bullet-casing",
    energy_required = 0.5,
    ingredients = {
		{"copper-plate", 1},
	},
    result = "bullet-casing",
    result_count = 4
  },
  {
    type = "recipe",
    name = "bullet-propellant",
    energy_required = 0.5,
    ingredients = {
		{"coal", 1},
		{"sulfur", 1},
	},
    result = "bullet-propellant",
    result_count = 2
  },
  {
    type = "recipe",
    name = "bullet-projectile",
    energy_required = 0.5,
    ingredients = {
		{"copper-plate", 1},
		{"iron-stick", 1},
	},
    result = "bullet-projectile",
    result_count = 4
  },
  {
    type = "recipe",
    name = "ap-bullet-projectile",
    energy_required = 1,
    ingredients = {
		{"copper-plate", 2},
		{"steel-plate", 1},
		{"iron-stick", 2},
	},
    result = "ap-bullet-projectile",
    result_count = 6
  },
  {
    type = "recipe",
    name = "ur-bullet-projectile",
    energy_required = 2,
    ingredients = {
		{"uranium-238", 1},
		{"copper-plate", 2},
		{"steel-plate", 2},
		{"iron-stick", 5},
	},
    result = "ur-bullet-projectile",
    result_count = 10
  },
  {
    type = "recipe",
    name = "bullet",
    energy_required = 1,
    ingredients = {
		{"bullet-projectile", 4},
		{"bullet-casing", 4},
		{"bullet-propellant", 1},
	},
    result = "bullet",
    result_count = 4
  },
  {
    type = "recipe",
    name = "ap-bullet",
    energy_required = 2,
    ingredients = {
		{"ap-bullet-projectile", 4},
		{"bullet-casing", 4},
		{"bullet-propellant", 1},
	},
    result = "ap-bullet",
    result_count = 4
  },
  {
    type = "recipe",
    name = "ur-bullet",
    energy_required = 3,
    ingredients = {
		{"ur-bullet-projectile", 4},
		{"bullet-casing", 4},
		{"bullet-propellant", 1},
	},
    result = "ur-bullet",
    result_count = 4
  },
  {
    type = "recipe",
    name = "firearm-magazine",
    energy_required = 2,
    ingredients = {
		{"bullet", 10},
		{"iron-plate", 1},
	},
    result = "firearm-magazine",
    result_count = 1
  },
  {
    type = "recipe",
    name = "firearm-box",
    energy_required = 10,
    ingredients = {
		{"bullet", 75},
		{"iron-plate", 2},
	},
    result = "firearm-box",
    result_count = 1
  },
  {
    type = "recipe",
    name = "firearm-belt",
    energy_required = 30,
    ingredients = {
		{"bullet", 350},
		{"iron-plate", 4},
	},
    result = "firearm-magazine",
    result_count = 1
  },
  {
    type = "recipe",
    name = "piercing-rounds-magazine",
    enabled = true,
    energy_required = 3,
    ingredients = {
		{"ap-bullet", 10},
		{"iron-plate", 1},
	},
    result = "piercing-rounds-magazine"
  },
  {
    type = "recipe",
    name = "piercing-rounds-box",
    enabled = true,
    energy_required = 15,
    ingredients = {
		{"ap-bullet", 75},
		{"iron-plate", 2},
	},
    result = "piercing-rounds-box"
  },
  {
    type = "recipe",
    name = "piercing-rounds-belt",
    enabled = true,
    energy_required = 45,
    ingredients = {
		{"ap-bullet", 350},
		{"iron-plate", 4},
	},
    result = "piercing-rounds-belt"
  },
  {
    type = "recipe",
    name = "uranium-rounds-magazine",
    enabled = true,
    energy_required = 4,
    ingredients = {
		{"ur-bullet", 10},
		{"iron-plate", 1},
	},
    result = "uranium-rounds-magazine"
  },
  {
    type = "recipe",
    name = "uranium-rounds-box",
    enabled = true,
    energy_required = 20,
    ingredients = {
		{"ur-bullet", 75},
		{"iron-plate", 2},
	},
    result = "uranium-rounds-box"
  },
  {
    type = "recipe",
    name = "uranium-rounds-belt",
    enabled = true,
    energy_required = 60,
    ingredients = {
		{"ur-bullet", 350},
		{"iron-plate", 4},
	},
    result = "uranium-rounds-belt"
  },
})